/**
 * @file
 * 
 * UI on the form itself
 * 
 */

(function ($, Drupal) {
    Drupal.behaviors.hideShowLogs = {
        attach: function (context, settings) {
            'use strict';

            Drupal.webform = Drupal.webform || {};

            $('select.workflow-transition.form-select').val('');

            // If transition changes, show log fields, otherwise hide
            $('select.workflow-transition.form-select').on('change', function () {
                var val = $(this).find(":selected").length > 0 ? $(this).find(":selected").val() : '';
                var logs = $('.form-item--workflow-log-public, .form-item--workflow-log-admin, .form-item-workflow-log-public, .form-item-workflow-log-admin');
                if (!val || val == '') {
                    logs.slideUp();
                    logs.find('textarea').val('');
                } else {
                    logs.slideDown();
                }
            });

            $(document).ready(function () {
                $('.workflow-transition.form-select').trigger('change');
            });

        }
    };
}(jQuery, Drupal));